/*! 
* 
* Copyright(c) 2010 Apogee Instruments, Inc. 
* \class UdpSocketLinux 
* \brief upd socket class for linux 
* 
*/ 

#include "UdpSocketLinux.h" 

#include <sys/socket.h>
#define INVALID_SOCKET -1


//////////////////////////// 
// CTOR 
UdpSocketLinux::UdpSocketLinux()
{ 


}

//////////////////////////// 
// DTOR 
UdpSocketLinux::~UdpSocketLinux() 
{ 
    
} 


//////////////////////////// 
// CLOSE    SOCKET 
void UdpSocketLinux::CloseSocket()
{
    close( m_SocketDescriptor );
    m_SocketDescriptor = INVALID_SOCKET;
} 
